import React from "react";
import { TableDataColumn } from "./table-column";
export type TableRowId = string | number | symbol;
export interface TableDataRow<DataItem = any> {
    id: TableRowId;
    data: DataItem;
    index?: number;
    className?: string;
    style?: React.CSSProperties;
    columns: TableDataColumn[];
    selected?: boolean;
    selectable?: boolean;
    onSelect?(row: TableDataRow<DataItem>, evt: React.MouseEvent): void;
}
export interface TableRowProps extends TableDataRow {
}
export declare const TableRow: (rowProps: TableRowProps) => JSX.Element;
